<app-navbar></app-navbar>
<div class="container">
    <div class="row mt-3 pt-3 mob-p-0">
        <div class="col-lg-12 m-a">
            <div class="row">
                <div class=" col-lg-8 col-sm-8 col-md-8 col-12">
                    <div class="">
                        <div class="row">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                                <h2>Annuler la commande</h2>
                            </div>
                        </div>
                        <!-- Nav pills -->
                        <div>
                            <div class="row" *ngFor="let item of singleOrder">
                                <div class="col-lg-3 col-md-3 col-sm-3 col-4">
                                    <div *ngIf="item.products[0].product.images.length != 0;else other_content">
                                        <img class="mw-100 cncl-img" src="{{baseurl}}static/public/{{item.products[0].product.images[0]}}">
                                    </div>
                                    <ng-template #other_content>
                                        <img class="mw-100" src="https://upload.wikimedia.org/wikipedia/commons/thumb/d/d1/Image_not_available.png/640px-Image_not_available.png">
                                    </ng-template>
                                </div>
                                <div class="col-lg-9 col-md-9 col-sm-9 col-8">
                                    <div class="row">
                                        <div class="col-lg-6 col-md-6 col-sm-6 col-12">
                                            <h3>{{item.products[0].product.title}}</h3>
                                            <h3>{{item.products[0].product.price}} CFA </h3>
                                        </div>
                                        <div class="col-lg-6 col-md-6 col-sm-6 col-12">
                                            <p>Pourquoi voulez-vous annuler cette commande ?
                                            </p>


                                            <select name="" id="" class="form-select" (change)="selectReason($event)">
                                <option value=""> Choisir une réponse</option>
                                <option value="Commandé par erreur">Commandé par erreur</option>
                                <option value="J'ai trouvé un meilleur prix ailleurs">J'ai trouvé un meilleur prix ailleurs</option>
                                <option value="J'ai changé d'avis"> J'ai changé d'avis</option>
                                <option value="L'article n'est plus nécessaire">L'article n'est plus nécessaire</option> 
                                
   
                              </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class=" col-lg-4 col-sm-4 col-md-4 col-12 cncl-o">
                    <div class="return-r">
                        <button type="button" class="btn btn-fill w-100 mb-1" (click)="cancel()">Continuer</button>

                    </div>
                    <div class="comeBack_up" *ngIf="cancel_order_by_part_idRes">
                        <div *ngIf="cancel_order_by_part_idRes.status ; else loggedOut">
                            <div class="alert alert-success"><strong>{{ cancel_order_by_part_idRes.message }}</strong></div>
                        </div>
                        <ng-template #loggedOut>
                            <div class="alert alert-danger"><strong>{{ cancel_order_by_part_idRes.message }}</strong></div>
                        </ng-template>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>
<app-footer></app-footer>